<?php
session_start();

if (isset($_GET['logout'])) {
    // Unset all session variables
    $_SESSION = array();

    // Destroy the session
    session_destroy();

    // Redirect to the login page or any other desired location
    header("Location: index.php");
    exit();
}

if (!isset($_SESSION['userLoggedIn']) || $_SESSION['userLoggedIn'] !== true) {
    header("Location: index.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Dashboard">
    <meta name="keyword" content="Dashboard, Bootstrap, Admin, Template, Theme, Responsive, Fluid, Retina">

    <title>Road Safety AR Game CMS</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/bootstrap.css" rel="stylesheet">
    <!--external css-->
    <link href="assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="assets/lineicons/style.css">    
    
    <!-- Custom styles for this template -->
    <link href="assets/css/style.css" rel="stylesheet">
    <link href="assets/css/style-responsive.css" rel="stylesheet">

    
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

  <section id="container" >
      <!-- **********************************************************************************************************************************************************
      TOP BAR CONTENT & NOTIFICATIONS
      *********************************************************************************************************************************************************** -->
      <!--header start-->
      <header class="header black-bg">
              <div class="sidebar-toggle-box">
                  <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
              </div>
            <!--logo start-->
            <a href="index.html" class="logo"><b>Road Safety AR Game CMS</b></a>
            <!--logo end-->

            <div class="top-menu">
            	<ul class="nav pull-right top-menu">
                    <li><a class="logout" href="?logout=1">Logout</a></li>
            	</ul>
            </div>
        </header>
      <!--header end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN SIDEBAR MENU
      *********************************************************************************************************************************************************** -->
      <!--sidebar start-->
      <aside>
          <div id="sidebar"  class="nav-collapse ">
              <!-- sidebar menu start-->
              <ul class="sidebar-menu" id="nav-accordion">
              
              	  <p class="centered"><img src="RSClogo.png" width="50"></p>
                          <li><a  href="editEasy.php">編輯問答 - 簡單 (2選1)</a></li>
                          <li><a  href="editHard.php">編輯問答 - 困難 (4選1)</a></li>
                          <li><a  href="editEgg.php">編輯問答 - 留心蛋 (3選1)</a></li>
                          <li><a  href="table.php">查看所有答題庫</a></li>

              </ul>
              <!-- sidebar menu end-->
          </div>
      </aside>
      <!--sidebar end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN CONTENT
      *********************************************************************************************************************************************************** -->
      <!--main content start-->
      <section id="main-content">
          <section class="wrapper">
          	<h3><i class="fa fa-angle-right"></i> 編輯問答 - 困難</h3>
              
          	<!-- BASIC FORM ELELEMNTS -->
          	<div class="row mt">
          		<div class="col-lg-12">
                  <div class="form-panel">
                      
                      <form class="form-horizontal style-form" method="get" id="updateForm">
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Select Question</label>
                              <div class="col-sm-10">
                                
                                <select id="questionNumber" onchange="getData()" class="btn btn-theme dropdown-toggle"  style="text-align: left; padding-left: 25px">
                                    <option value="0">------</option>
                                    <option value="1">Question 1</option>
                                    <option value="2">Question 2</option>
                                    <option value="3">Question 3</option>
                                    <option value="4">Question 4</option>
                                    <option value="5">Question 5</option>
                                    <option value="6">Question 6</option>
                                    <option value="7">Question 7</option>
                                    <option value="8">Question 8</option>
                                    <option value="9">Question 9</option>
                                    <option value="10">Question 10</option>
                                    <option value="11">Question 11</option>
                                    <option value="12">Question 12</option>
                                    <option value="13">Question 13</option>
                                    <option value="14">Question 14</option>
                                    <option value="15">Question 15</option>
                                    <option value="16">Question 16</option>
                                </select>
                                  
                                  <!-- <button type="button" onclick="getData()" class="btn btn-round btn-success" style="margin-left: 50px">Retrieve</button> -->
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Image</label>
                              <div class="col-sm-10">
                                    <p id="uploadImg" style="display:none" >
                                    <img id="qImg" src="questionImage/easy/0.png" height=200px>
                                  <br><br>
                                    <button onclick="replaceImage(event)" class="btn btn-primary">更換圖片</button>
                                  <br>(檔案必須為.png格式並小於1MB)</p>
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Question</label>
                              <div class="col-sm-10">
                                  <input type="text" id="questionInput" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option A</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option0Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option B</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option1Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option C</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option2Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option D</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option3Input"  class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Answer</label>
                              <div class="col-sm-10">
                        
                                <select id="answerInput" class="btn btn-theme02" style="text-align: left; padding-left: 25px">
                                    <option value="0">A</option>
                                    <option value="1">B</option>
                                    <option value="2">C</option>
                                    <option value="3">D</option>
                                </select>
                                
                              </div>
                          </div>
                                                    <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">小學題庫</label>
                              <div class="col-sm-10">
                        
                                <select id="priInput" class="btn btn-theme02" style="text-align: left; padding-left: 25px">
                                    <option value="0">停用</option>
                                    <option value="1">啟用</option>
                                </select>
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">中學題庫</label>
                              <div class="col-sm-10">
                        
                                <select id="secInput" class="btn btn-theme02" style="text-align: left; padding-left: 25px">
                                    <option value="0">停用</option>
                                    <option value="1">啟用</option>
                                </select>
                              </div>
                          </div>
                                                    <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">公眾題庫</label>
                              <div class="col-sm-10">
                        
                                <select id="pubInput" class="btn btn-theme02" style="text-align: left; padding-left: 25px">
                                    <option value="0">停用</option>
                                    <option value="1">啟用</option>
                                </select>
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label"></label>
                              <div class="col-sm-10">
                                  <button  type="button" onclick="updateData()"  class="btn btn-theme03"><i class="fa fa-check"></i>  更新</button>
                              </div>
                          </div>   
                      </form>
                      
                  </div>
          		</div><!-- col-lg-12-->      	
          	</div><!-- /row -->
          	
          	
		</section><! --/wrapper -->
      </section><!-- /MAIN CONTENT -->

      <!--main content end-->
      <!--footer start-->
      <footer class="site-footer">
          <div class="text-center">
              2024 - eTeam Entertainment Ltd.
          </div>
      </footer>
      <!--footer end-->
  </section>

    <!-- js placed at the end of the document so the pages load faster -->
    <script src="assets/js/jquery.js"></script>
    <script src="assets/js/jquery-1.8.3.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script class="include" type="text/javascript" src="assets/js/jquery.dcjqaccordion.2.7.js"></script>
    <script src="assets/js/jquery.scrollTo.min.js"></script>
    <script src="assets/js/jquery.nicescroll.js" type="text/javascript"></script>
    <script src="assets/js/jquery.sparkline.js"></script>


    <!--common script for all pages-->
    <script src="assets/js/common-scripts.js"></script>
    
    <script type="text/javascript" src="assets/js/gritter/js/jquery.gritter.js"></script>
    <script type="text/javascript" src="assets/js/gritter-conf.js"></script>


	<script>

    var id = document.getElementById('questionNumber').value;
     
    function replaceImage(event) {
        event.preventDefault(); // Prevent the default behavior of the button click

         var fileInput = document.createElement('input');
        fileInput.type = 'file';
        fileInput.accept = 'image/png'; // Accept only PNG files
        fileInput.multiple = false;

        fileInput.onchange = function(e) {
            var file = e.target.files[0];
            if (file) {
                
                if (file.type !== 'image/png') {
                    alert('Please upload a PNG image.');
                    return;
                }

                if (file.size > 1048576) { // 1MB in bytes
                    alert('File size exceeds the limit of 1MB.');
                    return;
                }
            
                var reader = new FileReader();
                reader.onload = function(e) {
                    var img = document.getElementById('qImg');
                    // Get the directory and filename from the image source URL
                    var imageUrl = img.src;
                    img.src = e.target.result;
                    var directory = "questionImage/hard/";
                    var filename = id.toString() + ".png";

                    // Send the file, directory, and filename to the server using fetch
                    var formData = new FormData();
                    formData.append('image', file);
                    formData.append('directory', directory);
                    formData.append('filename', filename);
                    
                    console.log(directory + filename);
                    
                    fetch('upload.php', {
                        method: 'POST',
                        body: formData
                    })
                    .then(response => {
                        console.log(response);
                        console.log(response.text());
                        console.log('JS: Image uploaded successfully');
                    })
                    .catch(error => {
                        console.error('JS: Error uploading image');
                    });
                };
                reader.readAsDataURL(file);
            }
        };

        fileInput.click();
    }
        
    function getData(){
        
        id = document.getElementById('questionNumber').value;

        
        if (id == 0 ) {
            location.reload();
        }
            document.getElementById('uploadImg').style.display = "";
            document.getElementById('qImg').src = "questionImage/hard/" + id.toString() + ".png?v="+ new Date().getTime();
          fetch('getData.php?id=' + id + '&tableid=hard&nocache=' + new Date().getTime())
            .then(response => response.json())
            .then(data => {
                document.getElementById('questionInput').value = data.question;
                document.getElementById('option0Input').value = data.option0;
                document.getElementById('option1Input').value = data.option1;
                document.getElementById('option2Input').value = data.option2;
                document.getElementById('option3Input').value = data.option3;
                document.getElementById('answerInput').value = data.answer;
                document.getElementById('priInput').value = data.pri;
                document.getElementById('secInput').value = data.sec;
                document.getElementById('pubInput').value = data.pub;
            });
        }

    function updateData() {
        
         if (document.getElementById('questionInput').value == 0 ) return;

        const question = document.getElementById('questionInput').value.trim();
        const option0 = document.getElementById('option0Input').value.trim();
        const option1 = document.getElementById('option1Input').value.trim();
        const option2 = document.getElementById('option2Input').value.trim();
        const option3 = document.getElementById('option3Input').value.trim();
        const answer = document.getElementById('answerInput').value.trim();
        const pri = document.getElementById('priInput').value.trim();
        const sec = document.getElementById('secInput').value.trim();
        const pub = document.getElementById('pubInput').value.trim();

        if (!question || !option0 || !option1 || !option2 || !option3) {
            alert('Please fill in all fields before updating.');
            return false;
        }

        const formData = new FormData();

        formData.append('id', id);
        formData.append('tableid', 'hard');
        formData.append('question', question);
        formData.append('option0', option0);
        formData.append('option1', option1);
        formData.append('option2', option2);
        formData.append('option3', option3);
        formData.append('answer', answer);
        formData.append('pri', pri);
        formData.append('sec', sec);
        formData.append('pub', pub);
        
        fetch('updateData.php', {
            method: 'POST',
            body: formData
        })
        .then(response => response.text())
        .then(data => {
            console.log(data);
            if (data.trim() === 'success') {
                getData();
                alert('Record updated successfully');
            }
        })        
        .catch(error => {
            console.error('Error:', error);
        });
    return false; // Prevent the form from actually submitting
}

      </script>
  

  </body>
</html>
